CANNASERVER(1)

NAME
cannaserver - Kana-Kanji conversion server

SYNOPSIS
cannaserver [-d] [-u userid] [-inet] [-inet6] [-l n] [-syslog] [-p num] [ddpath]

DESCRIPTION

cannaserver(1) provides the Kana-Kanji conversion service. Most commonly this daemon starts at daemon bootup framework like /etc/rc depending on your system, so you do not usually start it up manually.

By default, cannaserver(1) only accepts connections from clients at the same host where the server is running (via UNIX domain socket). You can make it accessible from other hosts via TCP by using option -inet (or -inet6). Whether you use this option or not, you can get access control based on user and host using /etc/hosts.canna.

cannaserver(1) immediately forks and gets into the background after it starts. You do not need to use '&' explicitly to make it run in the background.

When it starts, cannaserver(1) creates the UNIX domain socket /tmp/.iroha_unix/IROHA[:num] to communicate clients. The socket is deleted automatically if cannaserver(1) terminates normally. The socket may exist while cannaserver(1) is not running (because, for example, cannaserver(1) terminated abnormally). In this case, delete the file manually or you cannot start it.

/var/lib/canna/dic/*/dics.dir includes the list of dictionaries which are available to clients. Users (i.e. clients) can choose which to use and specify them in ~/.canna.

OPTIONS

ddpath
    Specifies the directory that contains dictionaries.

-inet
    This option lets cannaserver(1) accept connections from remote hosts using inet domain socket (IPv4). By default, the cannaserver(1) uses only UNIX domain socket, i.e. only clients in your local machine can connect to the server.

-inet6
    Enable IPv6. If this option is used solely, IPv4 access is disabled. If you want to use IPv4 at the same time, use both -inet and -inet6.

-l n
    Outputs the cannaserver(1) log to /tmp/canna.log. n (1 to 5) specifies the log level.

-d  Starts cannaserver(1) in debug mode. It is executed as the foreground process. Log data at log level 5 is output to the standard output.

-u userid
    Specifies which user cannaserver(1) runs as. By default, cannaserver(1) runs as the user who started cannaserver(1).

-syslog
    Outputs the cannaserver(1) log to syslogd(8). If you specify this option, logs are not output to /var/log/canna/CANNA?msgs.

-p num
    By this option cannaserver(1) uses the port number 5680 + num. The default port number is 5680. This option also has an effect on the filename of the socket and the log file. See below.

FILES

/tmp/.iroha_unix/IROHA[:num]
    Socket. [:num] part is added only when you specify -p.

/var/lib/canna/dic/*/dics.dir
    Dictionary directory

/etc/hosts.canna
    Access control file

/var/log/canna/CANNA?msgs
    Log file. "?" is replaced with num specified with -p, and defaults to 0 without -p num. Log messages are not output to this file when -syslog is specified.

SEE ALSO

cannakill(1), cannastat(1), cannacheck(1), cshost(1)